//
//  DesayunoViewController.m
//  Desayuno
//
//  Created by Santiago Pavón on 05/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "BreakfastViewController.h"
#import "CoffeSelectorViewController.h"
#import "CookieSelectorViewController.h"


@interface BreakfastViewController () <CoffeSelectorDelegate>
@property (weak, nonatomic) IBOutlet UIButton *coffeButton;
@property (weak, nonatomic) IBOutlet UIButton *cookieButton;

@property (nonatomic,strong) NSString *coffeName;
@property (nonatomic,strong) NSString *cookieName;

@end

@implementation BreakfastViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


// Configurar las vistas modales.
-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"Show Coffe Selector"]) {
        
        CoffeSelectorViewController * csvc = segue.destinationViewController;
        
        csvc.currentPreferredCoffe = self.coffeName;
        csvc.delegate = self;
        
    } else if ([segue.identifier isEqualToString:@"Show Cookie Selector"]) {
        
        CookieSelectorViewController * csvc = segue.destinationViewController;
        
        csvc.currentPreferredCookie = self.cookieName;
    }
    
}


#pragma mark - Coffe Selector Delegate

- (void) preferredCoffeSelectionWasCancelled
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

- (void) setPreferredCoffe:(NSString*)coffe
{
    self.coffeName = coffe;

    NSString * bTitle;
    if (coffe.length == 0) {
        bTitle = @"Elegir";
    } else {
        bTitle =[NSString stringWithFormat:@"I ♥ %@",coffe];
    }
    [self.coffeButton setTitle:bTitle
                      forState:UIControlStateNormal];
    
    [self dismissViewControllerAnimated:YES completion:NULL];
}

#pragma mark - Result from Cookie Selector

- (IBAction) cookieSelected:(UIStoryboardSegue*)segue
{
    CookieSelectorViewController *csvc = segue.sourceViewController;
    
    self.cookieName = csvc.currentPreferredCookie;
    
    NSString * bTitle;
    if (self.cookieName.length == 0) {
        bTitle = @"Elegir";
    } else {
        bTitle =[NSString stringWithFormat:@"I 😍 %@", self.cookieName];
    }
    [self.cookieButton setTitle:bTitle
                       forState:UIControlStateNormal];
}

@end
