//
//  CoffeSelectorViewController.h
//  Desayuno
//
//  Created by Santiago Pavón on 05/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import <UIKit/UIKit.h>

/*
 * Uso de un delegado para:
 *   - devolver el valor seleccionado.
 *   - cancelar la seleccion y no cambiar nada.
*/

@protocol CoffeSelectorDelegate <NSObject>

- (void) preferredCoffeSelectionWasCancelled;

- (void) setPreferredCoffe:(NSString*)coffe;

@end


@interface CoffeSelectorViewController : UIViewController

@property (nonatomic, strong) NSString * currentPreferredCoffe;

@property (nonatomic, weak) id<CoffeSelectorDelegate> delegate;

@end
